Caddy(8)

NAME
caddy-reverse-proxy - A quick and production-ready reverse proxy

SYNOPSIS
caddy reverse-proxy [flags]

DESCRIPTION
A simple but production-ready reverse proxy. Useful for quick deployments, demos, and development.

Simply shuttles HTTP(S) traffic from the --from address to the --to address. Multiple --to addresses may be specified by repeating the flag.

Unless otherwise specified in the addresses, the --from address will be assumed to be HTTPS if a hostname is given, and the --to address will be assumed to be HTTP.

If the --from address has a host or IP, Caddy will attempt to serve the proxy over HTTPS with a certificate (unless overridden by the HTTP scheme or port).

If --change-host-header is set, the Host header on the request will be modified from its original incoming value to the address of the upstream. (Otherwise, by default, all incoming headers are passed through unmodified.)

OPTIONS
--change-host-header[=false]
    Set upstream Host header to address of upstream

--debug[=false]
    Enable verbose debug logs

--from="localhost"
    Address on which to receive traffic

-h, --help[=false]
    help for reverse-proxy

--insecure[=false]
    Disable TLS verification (WARNING: DISABLES SECURITY BY NOT VERIFYING SSL CERTIFICATES!)

--internal-certs[=false]
    Use internal CA for issuing certs

--to=[]
    Upstream address(es) to which traffic should be sent

SEE ALSO
caddy(8)

HISTORY
18-Oct-2025 Auto generated by spf13/cobra